function onBegin ()
    disableRetry()
    disableMovement()
    walkTo(-413, false)
    say("ChineseNewYear2024_1_Maps_IHPHK")
    enableMovement()
    enableRetry()
    end

function onEnd (strat_03, wasSkipped)
    enableMovement()
    enableRetry()
    end